#!/usr/bin/env python

#-----------------------------------------------------------------------
# scribbler.py - diary script
# Usage: scribbler.py       edit today's entry
#        scribbler.py -b    browse entries
#
# Last Updated:                                                         
# Copyright (C) 2001 Andrei Kulakov <ak@silmarill.org>
# Licence: GPL (see http://www.gnu.org/copyleft/gpl.html)
#-----------------------------------------------------------------------

import sys, time, os, os.path

program_dir = os.path.expanduser('~/.scribbler')
editor = 'vim'
browser = 'lynx'

if not os.path.exists(program_dir):
    os.mkdir(program_dir)

if not os.popen('which ' + editor).read():
    print 'Can not find editor:', editor
    sys.exit()

if not os.popen('which ' + browser).read():
    print 'Can not find browser:', browser
    sys.exit()

start = time.time()
year, _, day, _,_,_,_,_,_ = time.localtime()
month = time.ctime().split()[1]
y = os.path.join(program_dir, str(year))
m = os.path.join(y, str(month))
d = os.path.join(m, str(day) + '.txt')

def browse():
    """Browse all entries"""
    if os.path.exists(m): dest = m
    elif os.path.exists(y): dest = y
    else: dest = program_dir
    os.system(browser + ' ' + dest)

def edit_today_entry():
    """Edit today's diary entry"""

    if not os.path.exists(y):
        os.mkdir(y)
    if not os.path.exists(m):
        os.mkdir(m)
    if not os.path.exists(d):
        file = open(d, 'w')
        file.write('\t\t\t' + time.ctime() + '\n')
        file.close()

    os.system(editor + ' ' + d)

if len(sys.argv) > 1:
    if sys.argv[1] in ['b','-b','--browse']:
        browse()
    else:
        print 'Illegal argument! Try better next time.'
        sys.exit()
else: edit_today_entry()

def process_time(t):
    min, sec = t/60, t%60
    return '%02d:%02d' % (min, sec)

time_taken = time.time() - start

print process_time(time_taken)
